#### D.15.6.13 setinitials

Procedure from library `finitediff.lib` (see finitediff_lib).

Usage:
  setinitials(V,D[,P]); V,D,P are lists with strings as elements

Return:
  no return value: sets the dependence order of the occuring derivatives, constructs the suitable ring to compute in containing user chosen parameters, sets new basering

Note:
  P is optional, used to introduce some additional parameters into the ring. The Sine and Cosine values needed for the fourier transformation are symbolically introduced under the names string(c)+nameof(variable), i.e. if x is any spatial variable then cx:=cosine(dx*ksi), when regarding the fourier transform after ksi (for sine respectively). Artificial parameters I,T,Px,Py are introduced for the later eigenvalue analysis. Variables can be transformed into parameters of similar name

Example:

    LIB "finitediff.lib";
    list D="Ut","Ux","Uy","U";
    list V="t","x","y";
    list P="alpha","beta","gamma";
    setinitials(V,D,P);////does not show the ring, since there is no output
    basering;///does show the ring
    ==> // coefficients: QQ(I, T, Px, Py, Cx, Cy, Sx, Sy, alpha, beta, gamma, dt,\
        dx, dy) considered as a field
    ==> // number of vars : 8
    ==> //        block   1 : ordering c
    ==> //        block   2 : ordering lp
    ==> //                  : names    i t x y cx cy sx sy
    ==> // quotient ring from ideal
    ==> _[1]=cy^2+sy^2-1
    ==> _[2]=cx^2+sx^2-1
    ==> _[3]=i^2+1

User manual for Singular version 4.4.1, 2025, generated by texi2html.